# ZMQDevice::run

(No version information available, might only be in Git)

ZMQDevice::run — Run the new device

### Description

public ZMQDevice::run ( void ) : void

Runs the device.

### Parameters

This function has no parameters.

### Return Values

Call to this method will block until the device is running. It is not recommended that devices are used from interactive scripts. On failure this method will throw ZMQDeviceException.